config:
  target: https://www.artillery.io
  # Enable the Playwright engine:
  http:
    # Responses have to be sent within 10 seconds, or an `ETIMEDOUT` error gets raised.
    timeout: 10
    #pool: 20
  engines:
    playwright: {}
  processor: "../playwright/tests/theoware_art.spec.ts"
  phases:
    - duration: 10
      arrivalRate: 5
      maxVusers: 10
  defaults:
    headers:
      Connection: close
scenarios:
  - engine: playwright
    flowFunction: "testme"
    flow: []
